README File for firmware upgrade using CentreWare Web

Description

CentreWare Web MUST be used to upgrade firmware.
Contains important information on selection of correct firmware file.

Supported platforms

  • Windows Server 2003
  • Windows XP
  • Windows 2000
  • Windows 98
  • Windows 95
  • Mac OS X 10.5 or lower
  • Linux
  • UNIX

Supported products

  • WorkCentre 7132

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation